> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get webhook health GET https://api.contentful.com/spaces/{space_id}/webhooks/{webhook_id}/health Reference: https://contentful.com/developers/docs/references/content-management-api/webhook-calls/get-webhook-health ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space as a string - `webhook_id` (string, required) — ID of the Webhook as a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "calls": { "healthy": 102, "total": 233 }, "sys": { "createdBy": { "sys": { "id": "foobar", "linkType": "WebhookDefinition", "type": "Link" } }, "id": "bar", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Webhook" } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // First: Fetch a webhook. client .webhooks() .async() .fetchOne( "", "", new CMACallback() { @Override protected void onSuccess(CMAWebhook webhook) { // Now use it's id to fetch the health client .webhooks() .async() .health( webhook, new CMACallback() { @Override protected void onSuccess(CMAWebhookHealth result) { // Health of webhook can be observed in this method's parameter. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Fetching the webhook's health was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch the health of that webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch the webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // First: Fetch an webhook. final CMAWebhook webhook = client .webhooks() .fetchOne( "", ""); // Now use it's id to fetch the health final CMAWebhookHealth health = client .webhooks() .health(webhook); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // First: Fetch an webhook. val webhook = client .webhooks() .fetchOne( "", "") // Now use it's id to fetch the health val health = client .webhooks() .health(webhook) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getWebhook('')) .then((webhook) => webhook.getHealth()) .then((response) => console.log(response.calls)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const webhookHealth = await client.webhook.getHealthStatus({ spaceId: '', webhookDefinitionId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $health = $space->getWebhookHealth(''); // Alternatively, from a webhook $webhook = $space->getWebhook(''); $call = $webhook->getHealth(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') health = client.webhook_health('', '').find # Alternatively, from a webhook health = webhook.webhook_health.find ``` ```python Python from contentful_management import Client client = Client('') health = client.webhook_health('', '').find() # Alternatively, from a webhook health = webhook.webhook_health.find() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var webhookHealth = await client.GetWebhookHealth(""); ```